6.0.0-git
2018-12-15

[#8356] Outlook 2007 WebDAV Not Publishing
Summary Outlook 2007 WebDAV Not Publishing
Queue Kronolith
Queue Version Git master
Type Bug
State Stalled
Priority 1. Low
Owners
Requester rmcauley (at) ca (dot) afilias (dot) info
Created 2009-06-17 (3468 days ago)
Due
Updated 2016-10-04 (802 days ago)
Assigned 2011-02-20 (2855 days ago)
Resolved 2012-10-18 (2249 days ago)
Milestone
Patch No

History
2016-10-04 12:25:55 Jan Schneider Comment #6
Version ⇒ Git master
Reply to this comment
Recent Outlook versions can synchronize with Horde via ActiveSync/EAS.
2016-10-04 10:42:43 code (at) text4teams (dot) com Comment #5 Reply to this comment
You know it would be really great if Horde could be updated from 
Outlook via WebDAV. I appreciate that Outlook may not be publishing it 
correctly, but is there any chance someone could swallow their pride 
and help all those Outlook users out there who would love to use their 
Horde calendar instead but can't keep the two in synch?
2012-10-18 04:44:55 Michael Rubinsky Comment #4
State ⇒ Stalled
Reply to this comment
Stalling unless/until someone can reproduce this with current H5 code.
2011-02-20 01:48:44 Chuck Hagenbuch State ⇒ Assigned
 
2009-06-19 18:21:55 rmcauley (at) ca (dot) afilias (dot) info Comment #3 Reply to this comment
Since when does Outlook support WebDAV? How did you setup Outlook?
Outlook 2007 shipped with WebDAV support.  Go to the All Folders view, 
right click on Calendar, "Publish to Internet", "Publish to WebDAV 
Server."  It'll even do it automatically when you make updates to your 
calendar.
Apache is probably returning that error, not Horde. Did you check the
web server logs?
Horde itself states "500 Internal Server Error" in its own logs.   
Around line 157 of "/var/www/html/horde-prod/lib/Horde/RPC/webdav.php".
Yeah, great. :) How is this supposed to work if Outlook is sending no
content, and that to wrong address?
Well, that's the problem I'm trying to work around - people can get 
Outlook uploading to iPHP Calendar via WebDAV and to Apache 2 WebDAV 
folders, so while the problem is Outlook, I don't think the 
solution/workaround lies in Outlook.
Of course, because it's wrong.
Yes, it is wrong, which is why I've been trying to fix it with Apache 
rewrite rules to be correct. (renaming username/My_Calendar.ics to 
username/username.ics using a regex)  However, Horde doesn't seem to 
pick up on the rewrite, even though the rewrite is definitely applied 
according to Apache logs. (perhaps Horde is relying on what Outlook is 
sending as the URL?  Outlook doesn't follow redirects for WebDAV, only 
rewrites)

[Show Quoted Text - 9 lines]
If Outlook gets fixed at any point, we can rely on many users not updating. :)
What the user agent of Outlook anyway?
On my Windows XP VM, the user-agent is pretty distinct: Microsoft 
Office/12.0 (Windows NT 5.1; Microsoft Office Outlook 12.0.6425; Pro)
And finally, how would that fix Outlook not sending any content?
I'm just wondering if Outlook isn't sending anything, possibly because 
of the feedback it's getting from Horde when Outlook does its PROPFIND.
2009-06-18 15:42:36 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Outlook 2007 WebDAV doesn't work, as detailed in my mailing list post here:
Since when does Outlook support WebDAV? How did you setup Outlook?
The upshot is that Horde returns a 500 Internal Server Error with no
useful debug and Outlook 2007 likewise displays a "Server error"
dialogue box.
Apache is probably returning that error, not Horde. Did you check the 
web server logs?
In the PUT function of lib/Horde/webdav.php, Horde sees these as the
values of the important variables when hit by Outlook:
path: kronolith/username/username_Calendar.ics
content_type: application/octet-stream
content: [null]
Yeah, great. :) How is this supposed to work if Outlook is sending no 
content, and that to wrong address?
The path that ends in x_Calendar.ics seems unaffected by URL rewrite
rules in Apache.
Of course, because it's wrong.
I've got a couple of clues/hunches at this point to get it working.
Keep in mind this is simply to get Outlook working by any means
possible, it may not be desirable for Horde to adopt these measures:
1. If the user-agent is Outlook, preg_replace $path s/_Calendar.ics$/.ics/
Ugly, but could be a workaround.
2. Hard-code an entry into $list in webdav.php's _list function to
return a username_Calendar.ics entry
Even uglier. What if Outlook at any point in time gets fixed suddenly? 
What the user agent of Outlook anyway? And finally, how would that fix 
Outlook not sending any content?
2009-06-17 20:23:30 rmcauley (at) ca (dot) afilias (dot) info Comment #1
Type ⇒ Bug
Milestone ⇒
Patch ⇒ No
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Outlook 2007 WebDAV Not Publishing
Queue ⇒ Kronolith
Reply to this comment
Outlook 2007 WebDAV doesn't work, as detailed in my mailing list post here:



http://lists.horde.org/archives/horde/Week-of-Mon-20090615/037725.html



The upshot is that Horde returns a 500 Internal Server Error with no 
useful debug and Outlook 2007 likewise displays a "Server error" 
dialogue box.



Continuing my debugging I've found a couple of interesting things of 
note.  I'd post tcpdumps of the data exchange, but I do not wish to 
expose my password since I had SSL disabled to get a clean dump.   
Here's what I found out:



In the PUT function of lib/Horde/webdav.php, Horde sees these as the 
values of the important variables when hit by Outlook:

path: kronolith/username/username_Calendar.ics

content_type: application/octet-stream

content: [null]



By contrast, Lightning and other working clients:

path: kronolith/username/username.ics

content_type: text/calendar

content: [iCal file]



The path that ends in x_Calendar.ics seems unaffected by URL rewrite 
rules in Apache.



I've got a couple of clues/hunches at this point to get it working.   
Keep in mind this is simply to get Outlook working by any means 
possible, it may not be desirable for Horde to adopt these measures:

1. If the user-agent is Outlook, preg_replace $path s/_Calendar.ics$/.ics/

2. Hard-code an entry into $list in webdav.php's _list function to 
return a username_Calendar.ics entry

Saved Queries